import { IFunction } from "aws-cdk-lib/aws-lambda";
import { Construct } from "constructs";
import { MethodAndPath } from "./api-gateway-integrations-types";
/**
 * Serialise a method and path into a single string
 */
export declare const concatMethodAndPath: ({ method, path }: MethodAndPath) => string;
/**
 * Generate the lambda function invocation uri for the given lambda within the given scope
 * @param scope scope in which the lambda is deployed
 * @param lambdaFunction the lambda function to be invoked
 */
export declare const functionInvocationUri: (scope: Construct, lambdaFunction: IFunction) => string;
